Bug 1066 - should use d_printf() instead of printf()
Summary: should use d_printf() instead of printf()
Status: CLOSED FIXED
Alias: None
Product: Samba 3.0
Classification: Unclassified
Component: SWAT (show other bugs)
Version: 3.0.2
Hardware: Other other
: P3 normal
Target Milestone: none
Assignee: Gerald (Jerry) Carter
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-12 00:14 UTC by TAKEDA yasuma
Modified: 2005-08-24 10:27 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description TAKEDA yasuma 2004-02-12 00:14:09 UTC
The following patch should apply to translate "Help" message.

diff -uNr samba-3.0.2.org/source/web/swat.c samba-3.0.2/source/web/swat.c
--- samba-3.0.2.org/source/web/swat.c   Fri Dec  5 06:38:40 2003
+++ samba-3.0.2/source/web/swat.c       Tue Feb 10 16:56:57 2004
@@ -197,7 +197,7 @@
                ptr = lp_local_ptr(snum, ptr);
        }
                                                                               
                                                      
-       printf("<tr><td>%s</td><td>",
get_parm_translated(stripspaceupper(parm->label), _("Help"), parm->label));
+       d_printf("<tr><td>%s</td><td>",
get_parm_translated(stripspaceupper(parm->label), _("Help"), parm->label));
        switch (parm->type) {
        case P_CHAR:
                d_printf("<input type=text size=2 name=\"parm_%s\" value=\"%c\">",
Comment 1 Tim Potter 2004-02-20 16:28:44 UTC
Fixed.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:27:28 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.